#include <bits/stdc++.h>

using namespace std;

int main()
{
    int x1,x2,y,y2;
    cin>>x1>>y>>x2>>y2;
    if(x1!=x2&&y!=y2&&abs(x1-x2)==abs(y-y2))cout<<1;
    else if(x1==x2||y==y2)cout<<2;
    else cout<<0;
}